all:
  children:
    tempest:
      hosts:
        controller: null
    zuul_unreachable:
      hosts: {}
  hosts:
    controller:
      ansible_connection: ssh
      ansible_host: 10.4.3.18
      ansible_port: 22
      ansible_python_interpreter: auto
      ansible_user: ubuntu
      enable_cinder_backend_storpool: 'yes'
      kolla_ansible_version: 17.7.0
      kolla_cinder_volume_image_full: cts.storpool.com/kolla/ubuntu-binary-cinder-volume:zed-ubuntu-jammy
      kolla_glance_api_image_full: quay.io/openstack.kolla/glance-api:2023.2-ubuntu-jammy
      kolla_nova_compute_image_full: cts.storpool.com/kolla/ubuntu-binary-nova-compute:zed-ubuntu-jammy
      kolla_openstack_release: zed
      local_gerrit: gerrit-openstack-ci.sof-k8s.storpool.net
      nodepool:
        az: lab
        cloud: openstack-testing
        external_id: 68274dd1-f5c1-40dd-8928-827f2523f51a
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.18
        label: os-ubuntu2404-2xlarge
        node_properties: {}
        private_ipv4: 10.4.3.18
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        slot: null
      os_venv: ~/sp-venv-openstack
      sp_target_release: testing
      storpool_connection: iscsi
      tempest_test_regex: volume
      zuul_copy_output:
        /etc/iscsi/iscsid.conf: logs_txt
        /etc/multipath.conf: logs_txt
      zuul_node:
        az: lab
        cloud: openstack-testing
        external_id: 68274dd1-f5c1-40dd-8928-827f2523f51a
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.18
        label: os-ubuntu2404-2xlarge
        node_properties: {}
        private_ipv4: 10.4.3.18
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        slot: null
        uuid: null
      zuul_use_fetch_output: true
    lab-sp-a1:
      ansible_connection: ssh
      ansible_host: 10.4.3.110
      ansible_port: 22
      ansible_python_interpreter: auto
      ansible_user: ubuntu
      enable_cinder_backend_storpool: 'yes'
      kolla_ansible_version: 17.7.0
      kolla_cinder_volume_image_full: cts.storpool.com/kolla/ubuntu-binary-cinder-volume:zed-ubuntu-jammy
      kolla_glance_api_image_full: quay.io/openstack.kolla/glance-api:2023.2-ubuntu-jammy
      kolla_nova_compute_image_full: cts.storpool.com/kolla/ubuntu-binary-nova-compute:zed-ubuntu-jammy
      kolla_openstack_release: zed
      local_gerrit: gerrit-openstack-ci.sof-k8s.storpool.net
      nodepool:
        az: lab
        cloud: openstack-testing
        external_id: c975545d-1890-47df-a268-c91d2ef22f17
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.110
        label: os-ubuntu2404-2xlarge
        node_properties: {}
        private_ipv4: 10.4.3.110
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        slot: null
      os_venv: ~/sp-venv-openstack
      sp_target_release: testing
      storpool_connection: iscsi
      tempest_test_regex: volume
      zuul_copy_output:
        /etc/iscsi/iscsid.conf: logs_txt
        /etc/multipath.conf: logs_txt
      zuul_node:
        az: lab
        cloud: openstack-testing
        external_id: c975545d-1890-47df-a268-c91d2ef22f17
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.110
        label: os-ubuntu2404-2xlarge
        node_properties: {}
        private_ipv4: 10.4.3.110
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        slot: null
        uuid: null
      zuul_use_fetch_output: true
    undercloud-client:
      ansible_connection: ssh
      ansible_host: 10.4.3.212
      ansible_port: 22
      ansible_python_interpreter: auto
      ansible_user: ubuntu
      enable_cinder_backend_storpool: 'yes'
      kolla_ansible_version: 17.7.0
      kolla_cinder_volume_image_full: cts.storpool.com/kolla/ubuntu-binary-cinder-volume:zed-ubuntu-jammy
      kolla_glance_api_image_full: quay.io/openstack.kolla/glance-api:2023.2-ubuntu-jammy
      kolla_nova_compute_image_full: cts.storpool.com/kolla/ubuntu-binary-nova-compute:zed-ubuntu-jammy
      kolla_openstack_release: zed
      local_gerrit: gerrit-openstack-ci.sof-k8s.storpool.net
      nodepool:
        az: lab
        cloud: openstack-testing
        external_id: c1465286-5fd7-407b-a877-311d4115dc88
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.212
        label: os-ubuntu2404-small
        node_properties: {}
        private_ipv4: 10.4.3.212
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        slot: null
      os_venv: ~/sp-venv-openstack
      sp_target_release: testing
      storpool_connection: iscsi
      tempest_test_regex: volume
      zuul_copy_output:
        /etc/iscsi/iscsid.conf: logs_txt
        /etc/multipath.conf: logs_txt
      zuul_node:
        az: lab
        cloud: openstack-testing
        external_id: c1465286-5fd7-407b-a877-311d4115dc88
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.212
        label: os-ubuntu2404-small
        node_properties: {}
        private_ipv4: 10.4.3.212
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        slot: null
        uuid: null
      zuul_use_fetch_output: true
  vars:
    enable_cinder_backend_storpool: 'yes'
    kolla_ansible_version: 17.7.0
    kolla_cinder_volume_image_full: cts.storpool.com/kolla/ubuntu-binary-cinder-volume:zed-ubuntu-jammy
    kolla_glance_api_image_full: quay.io/openstack.kolla/glance-api:2023.2-ubuntu-jammy
    kolla_nova_compute_image_full: cts.storpool.com/kolla/ubuntu-binary-nova-compute:zed-ubuntu-jammy
    kolla_openstack_release: zed
    local_gerrit: gerrit-openstack-ci.sof-k8s.storpool.net
    os_venv: ~/sp-venv-openstack
    sp_target_release: testing
    storpool_connection: iscsi
    tempest_test_regex: volume
    zuul:
      _inheritance_path:
      - '<Job base explicit: None implied: {MatchAny:{ImpliedBranchMatcher:master}}
        source: config/zuul.d/jobs-base.yaml@master#2>'
      - '<Job kolla-cinder-storpool-tempest-iscsi-multipath explicit: None implied:
        {MatchAny:{ImpliedBranchMatcher:master}} source: config/zuul.d/sp-cinder.yaml@master#280>'
      - '<Job kolla-cinder-storpool-tempest-iscsi-multipath-testing explicit: None
        implied: {MatchAny:{ImpliedBranchMatcher:master}} source: config/zuul.d/sp-cinder.yaml@master#376>'
      - '<Job kolla-cinder-storpool-tempest-iscsi-multipath-testing explicit: {MatchAny:{BranchMatcher:master}}
        implied: None source: config/zuul.d/sp-cinder.yaml@master#414>'
      ansible_version: '9'
      attempts: 1
      branch: master
      build: 6b30bc0bc4c84df29f8e8690894b012a
      build_refs:
      - branch: master
        change: '10'
        change_message: 'DNM: Test


          Change-Id: Ief30ab223f69136dfc2da78f2efbef8e3683b42f

          '
        change_url: http://gerrit-openstack-ci.sof-k8s.storpool.net/c/storpool-experiments/+/10
        commit_id: 154e686f9359f179776084e8309eeb9cdc6cce67
        patchset: '1'
        project:
          canonical_hostname: gerrit-openstack-ci.sof-k8s.storpool.net
          canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
          name: storpool-experiments
          short_name: storpool-experiments
          src_dir: src/gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
        src_dir: src/gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
        topic: null
      buildset: 1cf0e6f9a5ea4e8a8e26d003e100b271
      buildset_refs:
      - branch: master
        change: '10'
        change_message: 'DNM: Test


          Change-Id: Ief30ab223f69136dfc2da78f2efbef8e3683b42f

          '
        change_url: http://gerrit-openstack-ci.sof-k8s.storpool.net/c/storpool-experiments/+/10
        commit_id: 154e686f9359f179776084e8309eeb9cdc6cce67
        patchset: '1'
        project:
          canonical_hostname: gerrit-openstack-ci.sof-k8s.storpool.net
          canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
          name: storpool-experiments
          short_name: storpool-experiments
          src_dir: src/gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
        src_dir: src/gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
        topic: null
      change: '10'
      change_message: 'DNM: Test


        Change-Id: Ief30ab223f69136dfc2da78f2efbef8e3683b42f

        '
      change_url: http://gerrit-openstack-ci.sof-k8s.storpool.net/c/storpool-experiments/+/10
      child_jobs: []
      commit_id: 154e686f9359f179776084e8309eeb9cdc6cce67
      event_id: f4bc63cd30d342539c4668ea89858a00
      executor:
        hostname: zuul-executor-0.zuul-executor.openstack-ci.svc.cluster.local
        inventory_file: /var/lib/zuul/builds/6b30bc0bc4c84df29f8e8690894b012a/ansible/inventory.yaml
        log_root: /var/lib/zuul/builds/6b30bc0bc4c84df29f8e8690894b012a/work/logs
        result_data_file: /var/lib/zuul/builds/6b30bc0bc4c84df29f8e8690894b012a/work/results.json
        src_root: /var/lib/zuul/builds/6b30bc0bc4c84df29f8e8690894b012a/work/src
        work_root: /var/lib/zuul/builds/6b30bc0bc4c84df29f8e8690894b012a/work
      include_vars: []
      items:
      - branch: master
        change: '10'
        change_message: 'DNM: Test


          Change-Id: Ief30ab223f69136dfc2da78f2efbef8e3683b42f

          '
        change_url: http://gerrit-openstack-ci.sof-k8s.storpool.net/c/storpool-experiments/+/10
        commit_id: 154e686f9359f179776084e8309eeb9cdc6cce67
        patchset: '1'
        project:
          canonical_hostname: gerrit-openstack-ci.sof-k8s.storpool.net
          canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
          name: storpool-experiments
          short_name: storpool-experiments
          src_dir: src/gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
        topic: null
      job: kolla-cinder-storpool-tempest-iscsi-multipath-testing
      jobtags: []
      max_attempts: 1
      message: RE5NOiBUZXN0CgpDaGFuZ2UtSWQ6IEllZjMwYWIyMjNmNjkxMzZkZmMyZGE3OGYyZWZiZWY4ZTM2ODNiNDJmCg==
      patchset: '1'
      pipeline: check
      playbook_context:
        playbook_projects:
          trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config:
            canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/config
            checkout: master
            commit: 1c31aff85b3f61a651a8463f87e91071025647d7
          trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs:
            canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            checkout: master
            commit: 9f5c1d680d573485f0ccdb18d2184d4f1d446419
        playbooks:
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/kolla-setup-openstack-iscsi-multipath-storpool/run.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/playbook_0/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/playbook_0/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/playbook_0/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/playbook_0/role_1/zuul-jobs/roles
        post_playbooks:
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/kolla-setup-openstack-iscsi-multipath-storpool/post.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/post_playbook_0/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/post_playbook_0/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_0/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/post_playbook_0/role_1/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-storpool/post.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/post_playbook_1/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/post_playbook_1/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_1/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/post_playbook_1/role_1/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-iscsi-multipath/post.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/post_playbook_2/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/post_playbook_2/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_2/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/post_playbook_2/role_1/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-client/post.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/post_playbook_3/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/post_playbook_3/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_3/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/post_playbook_3/role_1/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/base/post.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/post_playbook_4/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/post_playbook_4/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_4/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/post_playbook_4/role_1/zuul-jobs/roles
        pre_playbooks:
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/base/pre.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_0/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_0/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_0/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_0/role_1/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/workarounds/01-disable-unattended-upgrades.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_1/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_1/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_1/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_1/role_1/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-client/pre.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_2/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_2/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_2/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_2/role_1/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-iscsi-multipath/pre.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_3/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_3/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_3/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_3/role_1/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-storpool/pre.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_4/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_4/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_4/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_4/role_1/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/kolla-setup-openstack-iscsi-multipath-storpool/pre.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_5/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_5/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_5/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_5/role_1/zuul-jobs/roles
      post_review: false
      post_timeout: null
      pre_timeout: null
      project:
        canonical_hostname: gerrit-openstack-ci.sof-k8s.storpool.net
        canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
        name: storpool-experiments
        short_name: storpool-experiments
        src_dir: src/gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
      projects:
        gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments:
          canonical_hostname: gerrit-openstack-ci.sof-k8s.storpool.net
          canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
          checkout: master
          checkout_description: zuul branch
          commit: 154e686f9359f179776084e8309eeb9cdc6cce67
          name: storpool-experiments
          required: false
          short_name: storpool-experiments
          src_dir: src/gerrit-openstack-ci.sof-k8s.storpool.net/storpool-experiments
      ref: refs/changes/10/10/1
      resources: {}
      tenant: OpenStack
      timeout: 10800
      topic: null
      voting: true
    zuul_copy_output:
      /etc/iscsi/iscsid.conf: logs_txt
      /etc/multipath.conf: logs_txt
    zuul_use_fetch_output: true
